Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07263 Gameplay Major Always Mar 19, 2019, 16:40 Mar 27, 2019, 14:43
Tester chaneman View Status Public Platform
Assigned To Robbbert Resolution Fixed OS
Status [?] Resolved Driver galaxian.cpp
Version 0.207 Fixed in Version 0.208 Build
Summary 07263: tenspot: Only half of the games are accessible.
Description Pressing the space bar used to cycle through all ten games and they were playable. Pressing the space bar now cycles though five games then returns to the first game "Survivor".
Unable to access the other five games.
Steps To Reproduce
Additional Information Added by Tafoid:
Traced day of bug (September 2, 2018) and it is likely his commit:
https://github.com/mamedev/mame/commit/9995269f06d5142062404408af6d250e4921fb4e
Flags
Regression Version 0.202
Affected Sets / Systems tenspot
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.16252
Tafoid
Administrator
Mar 19, 2019, 19:22
While this is flagged as NOT_WORKING, this is a pretty major change in behavior - enough to log this bug.
User avatar
No.16254
Robbbert
Developer
Mar 20, 2019, 15:02
Each time space is pressed, it increments by 2 games instead of 1.
User avatar
No.16259
Robbbert
Developer
Mar 21, 2019, 10:29
Added a custom handler for the space bar key, replacing the previous bodge.
User avatar
No.16276
vidpro1
Developer
Mar 27, 2019, 14:43
edited on: Mar 27, 2019, 14:59
Keep an eye out for another ROM version of Ten Spot. I played one in 1983 it had extra games such as Lady Bug and Triple Punch on the same Galaxian hardware.
ROM ladybugg is that version.